//******************************************************************************
// Call of Duty 2 - eXtreme+ modification
//******************************************************************************
// author   : Astoroth and the eXtreme+ Support Crew
// email    : astoroth@gom.me.uk
// website  : http://www.mycallofduty.com
//
// mod      : eXtreme+
// version  : 2.3
// update   : November 2007
//******************************************************************************


//******************************************************************************
// Ambient Tracers
//******************************************************************************
// tracer anti-aircraft effects appear off the map area. If 'Anti-Aircraft effects' is enabled in
// the ambient planes section, the delay between tracers is reduced. How many tracers?
// 0 = disable, max = 10, default = 0
set ex_tracers "10"
//set ex_tracers_sd "0"
//set ex_tracers_hq "0"
//set ex_tracers_mp_breakout "0"
//set ex_tracers_mp_trainstation "0"
//set ex_tracers_mp_rhine "0"

// minimum time to wait between tracers in seconds
// min = 5, max = 720, default = 5
set ex_tracers_delay_min "60"

// maximum delay between tracers in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set ex_tracers_delay_max "120"

// to enhance the tracer effect, you can attach the sound of anti-aircraft fire to the position of
// the tracer, this effect is at ambient volumes and distance aware
// 0 = disable, 1 = enable, default = 0
set ex_tracers_sound "1"


//******************************************************************************
// Ambient Flak FX
//******************************************************************************
// flak explosions, smoke and dust across the sky. This will be constant throughout the game
// but if 'Anti-Aircraft effects' is enabled in the ambient planes section, the flak fx will display
// just before the planes arrive, acting as an early warning system. How many flak explosions?
// 0 = disable, max = 10, default = 0
set ex_flakfx "10"
//set ex_flakfx_sd "0"
//set ex_flakfx_hq "0"
//set ex_flakfx_mp_trainstation "0"
//set ex_flakfx_mp_breakout "0"
//set ex_flakfx_mp_rhine "0"

// minimum delay between flak bursts in seconds
// min = 5, max = 720, default = 5
set ex_flakfx_delay_min "120"

// maximum delay between flak bursts in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set ex_flakfx_delay_max "240"


//******************************************************************************
// Ambient Flares
//******************************************************************************
// choose your desired settings for ambient flares
// 0 = disabled (default), 1 = enabled
set ex_flares "0"
set ex_flares_mp_decoy "1"

// choose your desired flare effect
// 0 = normal (default; hill400), 1 = very bright flare
//set ex_flare_type "0"

// flare alert, just before a flare barrage the players can be warned
// 0 = disable, 1 = enable (default)
//set ex_flare_alert "1"

// minimum number of flares per barrage
// min = 5, max = 15 (default = 5)
set ex_flares_min "8"

// maximum number of flares per barrage (set higher than minimum number!)
// min = minimum number + 1, max = 30 (default = minimum number * 2)
//set ex_flares_max "15"

// minimum delay between flare barrages in seconds
// min = 30, max = 720 (default = 300)
//set ex_flares_delay_min "300"

// maximum delay between flare barrages in seconds (set higher than minimum delay!)
// min = minimum time + 1, max = 1440 (default = minimum time * 2)
//set ex_flares_delay_max "600"


//******************************************************************************
// Ambient Mortar FX
//******************************************************************************
// choose your desired settings for ambient mortars
// 0 = disabled, 1 = enabled (safe), 2 = enabled (deadly), default = 0
set ex_mortars "1"
//set ex_mortars_sd "0"
//set ex_mortars_hq "0"
//set ex_mortars_mp_trainstation "0"
//set ex_mortars_mp_breakout "0"
//set ex_mortars_mp_rhine "0"

// minimum number of mortars per barrage
// min = 1, max = 24, default = 10
set ex_mortars_min "8"

// maximum number of mortars per barrage (set higher than minimum number!)
// min = minimum number , max = 25, default = minimum number + 1
set ex_mortars_max "16"

// minimum delay between mortar barrages in seconds
// min = 30, max = 720, default = 60
set ex_mortars_delay_min "300"

// maximum delay between mortar barrages in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set ex_mortars_delay_max "600"

// mortar alert, just before a mortar barrage the players can be warned
// 0 = disable, 1 = enable, default = 0
set ex_mortars_alert "1"


//******************************************************************************
// Ambient Artillery
//******************************************************************************
// choose your desired settings for ambient artillery
// 0 = disabled, 1 = enabled (safe) (default), 2 = enabled (deadly)
set ex_artillery "1"

// artillery alert, just before an artillery barrage the players can be warned
// 0 = disable, 1 = enable (default)
set ex_artillery_alert "1"

// minimum number of artillery shells per barrage
// min = 5, max = 15 (default = 5)
set ex_artillery_shells_min "8"

// maximum number of artillery shells per barrage (set higher than minimum number!)
// min = minimum number + 1, max = 30 (default = minimum number * 2)
//set ex_artillery_shells_max "15"

// minimum delay between artillery barrages in seconds
// min = 30, max = 720 (default = 300)
set ex_artillery_delay_min "300"

// maximum delay between artillery barrages in seconds (set higher than minimum delay!)
// min = minimum time + 1, max = 1440 (default = minimum time * 2)
set ex_artillery_delay_max "600"


//******************************************************************************
// Ambient Air Planes
//******************************************************************************
// choose your desired settings for ambient planes
// 0 = disabled, 1 = enabled (safe), 2 = enabled with bombs (safe), 3 = enabled with bombs (deadly), default = 0
set ex_planes "2"
//set ex_planes_sd "0"
//set ex_planes_hq "0"
//set ex_planes_mp_trainstation "0"
//set ex_planes_mp_breakout "0"
//set ex_planes_mp_rhine "0"

// minimum number of planes per run
// min = 1, max = 19, default = 1
set ex_planes_min "2"

// maximum number of planes per run (set higher than minimum number!)
// min = minimum number , max = 20, default = minimum number + 1
set ex_planes_max "6"

// minimum delay between plane runs in seconds
// min = 30, max = 720, default = 60
set ex_planes_delay_min "300"

// maximum delay between plane runs in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set ex_planes_delay_max "600"

// planes altitude
// some custom maps might have issues with planes and wmd's ..this option lets you set the altitude
// at which the planes fly over...these dont work for the 4 stock maps (carentan, decoy, toujane and railyard)
// coz they were already fixed...note tho that parachutes also spawn at the altitude you have set which aint bad
// as the chutes will have the same skybox issues..and if needed you can overide the parachutes spawn hight again 
// in the parachute settings
// min = 0, max = 6000, default = 6000
set ex_planes_altitude "1400"
set ex_planes_altitude_mp_breakout "900"
set ex_planes_altitude_mp_burgundy "850"
set ex_planes_altitude_mp_carentan "2000"
set ex_planes_altitude_mp_dawnville "1300"
set ex_planes_altitude_mp_decoy "2000"
set ex_planes_altitude_mp_downtown "1100"
set ex_planes_altitude_mp_farmhouse "950"
set ex_planes_altitude_mp_harbor "2300"
set ex_planes_altitude_mp_leningrad "1750"
set ex_planes_altitude_mp_matmata "1000"
set ex_planes_altitude_mp_railyard "900"
set ex_planes_altitude_mp_rhine "1400"
set ex_planes_altitude_mp_toujane "1700"
set ex_planes_altitude_mp_trainstation "900"

// anti-aircraft flak system - fx in the sky before planes arrive (early warning!)
set ex_planes_flak "1"

//air_raid sound 0 = disabled, 1 = enabled (default 0)
set ex_air_raid "1"


//******************************************************************************
// map ambient FX Options
// To help with reducing gamestate and increasing FPS, you may want to disable some
// of the following effects, you can do with a global mod setting, or for a particular
// map and/or gametype - 0 = disabled, 1 = enabled (default 1 - COD2 stock setting)
//******************************************************************************
// ambient map sound (the main background sound)
//******************************************************************************
// global setting
set ex_ambmapsound "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambmapsound_sd "0"
//set ex_ambmapsound_hq "0"
//set ex_ambmapsound_ctf "0"
//set ex_ambmapsound_chq "0"
//set ex_ambmapsound_htf "0"
//set ex_ambmapsound_lts "0"
//set ex_ambmapsound_mp_trainstation "0"
//set ex_ambmapsound_mp_breakout "0"


//******************************************************************************
// ambient soundfx
//******************************************************************************
// global setting
set ex_ambsoundfx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambsoundfx_sd "0"
//set ex_ambsoundfx_hq "0"
//set ex_ambsoundfx_ctf "0"
//set ex_ambsoundfx_chq "0"
//set ex_ambsoundfx_htf "0"
//set ex_ambsoundfx_lts "0"
//set ex_ambsoundfx_mp_trainstation "0"
//set ex_ambsoundfx_mp_breakout "0"


//******************************************************************************
// map main fog
//******************************************************************************
// global setting
set ex_ambmapfog "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambmapfog_sd "0"
//set ex_ambmapfog_hq "0"
//set ex_ambmapfog_ctf "0"
//set ex_ambmapfog_chq "0"
//set ex_ambmapfog_htf "0"
//set ex_ambmapfog_lts "0"
//set ex_ambmapfog_mp_trainstation "0"
//set ex_ambmapfog_mp_breakout "0"
//set ex_ambmapfog_mp_rhine "0"


//******************************************************************************
// map fire fx
//******************************************************************************
// global setting
set ex_ambfirefx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambfirefx_sd "0"
//set ex_ambfirefx_hq "0"
//set ex_ambfirefx_ctf "0"
//set ex_ambfirefx_chq "0"
//set ex_ambfirefx_htf "0"
//set ex_ambfirefx_lts "0"
//set ex_ambfirefx_mp_trainstation "0"
//set ex_ambfirefx_mp_breakout "0"
//set ex_ambfirefx_mp_rhine "0"


//******************************************************************************
// map smoke fx
//******************************************************************************
// global setting
set ex_ambsmokefx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambsmokefx_sd "0"
//set ex_ambsmokefx_hq "0"
//set ex_ambsmokefx_ctf "0"
//set ex_ambsmokefx_chq "0"
//set ex_ambsmokefx_htf "0"
//set ex_ambsmokefx_lts "0"
//set ex_ambsmokefx_mp_trainstation "0"
//set ex_ambsmokefx_mp_breakout "0"
//set ex_ambsmokefx_mp_rhine "0"


//******************************************************************************
// fog bank fx
//******************************************************************************
// global setting
set ex_ambfogbankfx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambfogbankfx_sd "0"
//set ex_ambfogbankfx_hq "0"
//set ex_ambfogbankfx_ctf "0"
//set ex_ambfogbankfx_chq "0"
//set ex_ambfogbankfx_htf "0"
//set ex_ambfogbankfx_lts "0"
//set ex_ambfogbankfx_mp_trainstation "0"
//set ex_ambfogbankfx_mp_breakout "0"
//set ex_ambfogbankfx_mp_rhine "0"


//******************************************************************************
// flies fx(flying round animal carcus)
//******************************************************************************
// global setting
set ex_ambfliesfx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambfliesfx_sd "0"
//set ex_ambfliesfx_hq "0"
//set ex_ambfliesfx_ctf "0"
//set ex_ambfliesfx_chq "0"
//set ex_ambfliesfx_htf "0"
//set ex_ambfliesfx_lts "0"
//set ex_ambfliesfx_mp_trainstation "0"
//set ex_ambfliesfx_mp_breakout "0"
//set ex_ambfliesfx_mp_rhine "0"


//******************************************************************************
// dust fx
//******************************************************************************
// global setting
set ex_ambdustfx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambdustfx_sd "0"
//set ex_ambdustfx_hq "0"
//set ex_ambdustfx_ctf "0"
//set ex_ambdustfx_chq "0"
//set ex_ambdustfx_htf "0"
//set ex_ambdustfx_lts "0"
//set ex_ambdustfx_mp_trainstation "0"
//set ex_ambdustfx_mp_breakout "0"
//set ex_ambdustfx_mp_rhine "0"


//******************************************************************************
// snow and snow wind fx
//******************************************************************************
// global setting
set ex_ambsnowfx "1"

// gametype/map examples, remember to remove the // to use them!
//set ex_ambsnowfx_sd "0"
//set ex_ambsnowfx_hq "0"
//set ex_ambsnowfx_ctf "0"
//set ex_ambsnowfx_chq "0"
//set ex_ambsnowfx_htf "0"
//set ex_ambsnowfx_lts "0"
//set ex_ambsnowfx_mp_trainstation "0"
//set ex_ambsnowfx_mp_breakout "0"
//set ex_ambsnowfx_mp_rhine "0"
